function val = GPlus(k, x1, x2, y1, y2, d)
% Compute the periodic Green's function Gplus (with Dirichlet boundary condition)
% In :
%   k : the wave number. k = 0 means Laplace
%   x1 : a 1xN vector containing the first coordinates of x
%   x2 : a 1xN vector containing the second coordinates of x
%   y1 : a 1xN vector containing the first coordinates of y
%   y2 : a 1xN vector containing the second coordinates of y
%   d: a scalar, the periodicity
% OUT :
%   returns G_+(x1,x2 ; y1, y2).

val = ops.GSharp(k, x1 - y1, x2 - y2, d);
    
end