classdef SingleLayer_Periodic < ops.Operators
    
    methods
        function obj = SingleLayer_Periodic(D1, type1, step1, d)
            D2 = D1;
            type2 = type1;
            step2 = step1;
            
            obj = obj@ops.Operators(D1, type1, step1, D2, type2, step2);
            obj.Kmat = ops.SingleLayer_Periodic.make_kernel_matrix(D1.points, D1.sigma, D1.tvec, d);
        end
        
    end
    
    methods(Static)
        function K = make_kernel_matrix(D, sigma_D, tvec, d)
            N = size(D,2);
            K = zeros(N) ;
            
            periodicGreens = @(x1, x2, d) 1/4/pi*log(sinh(pi/d*x2).^2 + sin(pi/d*x1).^2);

            for i=1:N
                K(i,:) = sigma_D(i).*periodicGreens(D(1,i)-D(1,:), D(2,i)-D(2,:), d);
                K(i,i) = sigma_D(i)*(log(pi*sigma_D(i)/d) - 1)/2/pi;
            end
        end
        
        function [ val ] = eval(D, F, X)
        end        
    end
    
end

